Subject: Re: [PATCH v2 3/6] kexec_file: Allow skipping checksum calculation for some segments.

From: Thiago Jung Bauermann <[email-masked]>
Date: Mon, 22 Aug 2016 00:25 -0300

Am Montag, 22 August 2016, 11:17:45 schrieb Dave Young:
> On 08/18/16 at 06:09pm, Thiago Jung Bauermann wrote:
> > Hello Dave,
> > 
> > Thanks for your review!
> > 
> > [ Trimming down Cc: list a little to try to clear the "too many
> > recipients"> 
> >   mailing list restriction. ]
> 
> I also got "too many recipients".. Thanks for the trimming.

Didn't work though. What is the maximum number of recipients?

> > Am Donnerstag, 18 August 2016, 17:03:30 schrieb Dave Young:
> > > On 08/13/16 at 12:18am, Thiago Jung Bauermann wrote:
> > > > Adds checksum argument to kexec_add_buffer specifying whether the
> > > > given
> > > > segment should be part of the checksum calculation.
> > > 
> > > Since it is used with add buffer, could it be added to kbuf as a new
> > > field?
> > 
> > I was on the fence about adding it as a new argument to kexec_add_buffer
> > or as a new field to struct kexec_buf. Both alternatives make sense to
> > me. I implemented your suggestion in the patch below, what do you
> > think?> 
> > > Like kbuf.no_checksum, default value is 0 that means checksum is
> > > needed
> > > if it is 1 then no need a checksum.
> > 
> > It's an interesting idea and I implemented it that way, though in
> > practice all current users of struct kexec_buf put it on the stack so
> > the field needs to be initialized explicitly.
> 
> No need to set it as false because it will be initialized to 0 by
> default?

As far as I know, variables on the stack are not initialized. Only global 
and static variables are.

-- 
[]'s
Thiago Jung Bauermann
IBM Linux Technology Center